# VecType

String with the name of a PETSc vector or the creation function with an optional dynamic library name, for example http://www.mcs.anl.gov/petsc/lib.a:myveccreate()

### Synopsis

    #define VecType const char*
    #define VECSEQ         "seq"
    #define VECMPI         "mpi"
    #define VECFETI        "feti"
    #define VECSHARED      "shared"
    #define VECSIEVE       "sieve"

    /* Logging support */
    #define    VEC_FILE_COOKIE 1211214
    extern PETSCVEC_DLLEXPORT PetscCookie VEC_COOKIE;

### See Also

VecSetType(), Vec

Level:beginner
Location: src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages